package funkcje;

import javax.swing.JOptionPane;

public class V1_ProgramInteraktywny {

	public static void main(String[] args) {
		while (true) {
			String arg = JOptionPane.showInputDialog("Podaj liczbę");
			if (arg == null)
				break;
			int liczba = Integer.parseInt(arg);
			var silnia = Funkcje.silnia(liczba);
			JOptionPane.showMessageDialog(null, String.format("silnia(%d) = %d", liczba, silnia));

			var fib = Funkcje.fib(liczba);
			JOptionPane.showMessageDialog(null, String.format("fib(%d) = %d", liczba, fib));
		}
	}

}
